Bug 1007848 - exportfs return 0, even specify invalid argument
exportfs return 0, even specify invalid argument
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Steve Dickson
Yin.JianHong
:
Depends On: 1007843
Blocks: 1007845
  Show dependency treegraph
 
Reported: 2013-09-13 08:59 EDT by Yin.JianHong
Modified: 2014-07-04 01:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1007843
Environment:
Last Closed: 2014-01-20 12:53:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-13 08:59:38 EDT
+++ This bug was initially created as a clone of Bug #1007843 +++

Description of problem:
exportfs return 0, even specify invalid argument

Version-Release number of selected component (if applicable):
all version in RHEL5.9 5.10 6.x 7.0

How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.

Actual results:
[root@dhcp-13-194 ~]# exportfs  -vi  */home
Invalid exporting option: */home
[root@dhcp-13-194 ~]# echo $?
0
[root@dhcp-13-194 ~]# exportfs


Expected results:
should return !0

Additional info:
Comment 2 Steve Dickson 2014-01-20 12:53:38 EST
This seems to work for me...

# exportfs: invalid option -- 'b'
usage: exportfs [-afhioruvs] [host:/path]
1

# rpm -q nfs-utils
nfs-utils-1.2.9-2.1.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.